# Class TOLEDataObject

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFOLEDragAndDrop

## Declaration

`type TOLEDataObject = class(TInterfacedObject, IDataObject)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TOLEDataObject

## Overview

### Fields

| `FNumFormats: integer;`
| `FFormatArray: TOLEFormatArray;`
| `FMediumArray: TOLEMediumArray;`
| `FAsync: boolean;`
| `FInOperation: boolean;`

### Methods

| `function LookupFormatEtc(const aFormatEtc : TFormatEtc) : integer;`
| `function DupGlobalMem(hMem : HGLOBAL) : HGLOBAL;`
| `constructor Create(const aFormatArray : TOLEFormatArray; const aMediumArray : TOLEMediumArray; aNumFormats : integer); reintroduce;`
| `function GetData(const FormatEtcIn: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;`
| `function GetDataHere(const FormatEtc: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;`
| `function QueryGetData(const FormatEtc: TFormatEtc): HRESULT; stdcall;`
| `function GetCanonicalFormatEtc(const FormatEtc: TFormatEtc; out FormatEtcout: TFormatEtc): HRESULT; stdcall;`
| `function SetData(const pformatetc: FORMATETC; const medium: STGMEDIUM; FRelease: BOOL): HRESULT; stdcall;`
| `function EnumFormatEtc(dwDirection: DWORD; out aEnumFormatEtc: IENUMFORMATETC): HRESULT; stdcall;`
| `function DAdvise(const formatetc: FORMATETC; advf: DWORD; const AdvSink: IAdviseSink; out dwConnection: DWORD): HRESULT; stdcall;`
| `function DUnadvise(dwconnection: DWORD): HRESULT; stdcall;`
| `function EnumdAdvise(out EnumAdvise: IEnumStatData): HRESULT; stdcall;`

## Description

### Fields

| `FNumFormats: integer;`
This item has no description.

| `FFormatArray: TOLEFormatArray;`
This item has no description.

| `FMediumArray: TOLEMediumArray;`
This item has no description.

| `FAsync: boolean;`
This item has no description.

| `FInOperation: boolean;`
This item has no description.

### Methods

| `function LookupFormatEtc(const aFormatEtc : TFormatEtc) : integer;`
This item has no description.

| `function DupGlobalMem(hMem : HGLOBAL) : HGLOBAL;`
This item has no description.

| `constructor Create(const aFormatArray : TOLEFormatArray; const aMediumArray : TOLEMediumArray; aNumFormats : integer); reintroduce;`
This item has no description.

| `function GetData(const FormatEtcIn: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;`
IDataObject

| `function GetDataHere(const FormatEtc: TFormatEtc; out Medium: TStgMedium):HRESULT; stdcall;`
This item has no description.

| `function QueryGetData(const FormatEtc: TFormatEtc): HRESULT; stdcall;`
This item has no description.

| `function GetCanonicalFormatEtc(const FormatEtc: TFormatEtc; out FormatEtcout: TFormatEtc): HRESULT; stdcall;`
This item has no description.

| `function SetData(const pformatetc: FORMATETC; const medium: STGMEDIUM; FRelease: BOOL): HRESULT; stdcall;`
This item has no description.

| `function EnumFormatEtc(dwDirection: DWORD; out aEnumFormatEtc: IENUMFORMATETC): HRESULT; stdcall;`
This item has no description.

| `function DAdvise(const formatetc: FORMATETC; advf: DWORD; const AdvSink: IAdviseSink; out dwConnection: DWORD): HRESULT; stdcall;`
This item has no description.

| `function DUnadvise(dwconnection: DWORD): HRESULT; stdcall;`
This item has no description.

| `function EnumdAdvise(out EnumAdvise: IEnumStatData): HRESULT; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.